File ImageMagick-CVE-2018-14434.patch of Package ImageMagick.8612

Index: ImageMagick-7.0.7-34/coders/mpc.c
===================================================================
--- ImageMagick-7.0.7-34.orig/coders/mpc.c	2018-05-20 17:55:43.000000000 +0200
+++ ImageMagick-7.0.7-34/coders/mpc.c	2018-08-06 17:17:14.747632049 +0200
@@ -1468,7 +1468,10 @@ static MagickBooleanType WriteMPCImage(c
           switch (depth)
           {
             default:
+            {
+              colormap=(unsigned char *) RelinquishMagickMemory(colormap);
               ThrowWriterException(CorruptImageError,"ImageDepthNotSupported");
+            }
             case 32:
             {
               unsigned int
openSUSE Build Service is sponsored by